package com.landray.kmss.sys.attachment.jg;

import com.landray.kmss.util.StringUtil;
import com.landray.kmss.util.UserUtil;
import com.landray.kmss.util.DateUtil;
import java.util.Date;
import com.landray.kmss.util.ResourceUtil;
import DBstep.iMsgServer2000;
import com.landray.kmss.common.actions.RequestContext;
import org.slf4j.LoggerFactory;
import org.slf4j.Logger;

public class SysAttJGSaveAsHtmlFunction implements ISysAttachmentJGFunction
{
    private static final Logger logger;
    
    static {
        logger = LoggerFactory.getLogger(SysAttJGSaveAsHtmlFunction.class);
    }
    
    @Override
    public void execute(final RequestContext request, final iMsgServer2000 MsgObj) throws Exception {
        doSaveAsHtml(request, MsgObj, "HTML");
    }
    
    protected static void doSaveAsHtml(final RequestContext request, final iMsgServer2000 MsgObj, final String attType) throws Exception {
        final String fdId = MsgObj.GetMsgByName("RECORDID");
        final String fn = MsgObj.GetMsgByName("HTMLNAME");
        final String dn = MsgObj.GetMsgByName("DIRECTORY");
        boolean isLogJgEnabled = false;
        final String logJgValue = ResourceUtil.getKmssConfigString("kmss.isLogJgEnabled");
        if (logJgValue != null) {
            isLogJgEnabled = "true".equals(logJgValue.trim());
        }
        if (SysAttJGSaveAsHtmlFunction.logger.isInfoEnabled()) {
            SysAttJGSaveAsHtmlFunction.logger.info("保存为" + attType + "：HTMLNAME：" + fn);
            if (isLogJgEnabled) {
                SysAttJGSaveAsHtmlFunction.logger.info("iWeboffice控件监控日志:保存为:" + attType + ";HTMLNAME：" + fn + ";保存时间:" + DateUtil.convertDateToString(new Date(), DateUtil.PATTERN_DATETIME, UserUtil.getKMSSUser().getLocale()));
            }
        }
        String hp = JGFilePathUtil.genFilePath(fdId, null);
        MsgObj.MsgTextClear();
        if (StringUtil.isNotNull(dn)) {
            hp = String.valueOf(hp) + dn + "/";
        }
        MsgObj.MakeDirectory(hp);
        if (MsgObj.MsgFileSave(String.valueOf(hp) + fn)) {
            MsgObj.MsgError("");
            MsgObj.SetMsgByName("STATUS", "保存" + attType + "成功!");
        }
        else {
            MsgObj.MsgError("保存" + attType + "失败!");
        }
        MsgObj.MsgFileClear();
    }
}
